package com.ghy.common.enums;

/**
 * @author clunt
 * 付款状态
 */
public enum PayStatus {

    WAIT_PAY(0, "待支付"),
    PAID(1, "已支付"),
    CANCEL(2, "已取消"),
    REFUND(3, "已退款"),
    PAYED_ADD(4, "加价原单已付款"),
    REFUNDING(5, "退款中"),
    /**
     * 支付模式为"延迟分账"时的退款
     */
    REVERSING(6, "撤销支付中");

    private final Integer code;
    private final String desc;

    PayStatus(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
